From 28857662ae1dda8b45199cd0990f7eff8bc2333b Mon Sep 17 00:00:00 2001
From: Sascha Markus <sascha.markus@gmail.com>
Date: Tue, 27 Mar 2018 23:53:32 +0200
Subject: [PATCH] bugfix/11272 Last line of Whisperback report uses different
 font

---
 data/whisperback.ui | 1 +
 whisperBack/gui.py  | 6 ++----
 2 files changed, 3 insertions(+), 4 deletions(-)

diff --git a/data/whisperback.ui b/data/whisperback.ui
index c1f937d..a93e65b 100644
--- a/data/whisperback.ui
+++ b/data/whisperback.ui
@@ -355,6 +355,7 @@ along with this program.  If not, see &lt;http://www.gnu.org/licenses/&gt;.
                           <object class="GtkTextView" id="textviewMessage">
                             <property name="visible">True</property>
                             <property name="can_focus">True</property>
+                            <property name="monospace">True</property>
                             <property name="wrap_mode">word</property>
                             <property name="accepts_tab">False</property>
                           </object>
diff --git a/whisperBack/gui.py b/whisperBack/gui.py
index f0a4bf5..c1a59da 100644
--- a/whisperBack/gui.py
+++ b/whisperBack/gui.py
@@ -105,7 +105,7 @@ class WhisperBackUI(object):
         underline = lambda str: str + "\n" + len(str) * '-'
 
         #pylint: disable=C0301
-        self.message.get_buffer().insert_with_tags(
+        self.message.get_buffer().insert(
             self.message.get_buffer().get_start_iter(),
             underline(_("Name of the affected software"))
             + "\n"*4
@@ -114,9 +114,7 @@ class WhisperBackUI(object):
             + underline(_("Actual result and description of the error"))
             + "\n"*4
             + underline(_("Desired result"))
-            + "\n"*4,
-            self.message.get_buffer().create_tag(family="Monospace"))
-
+            + "\n"*4)
         #pylint: disable=E1101
         self.htmlhelp = WebKit.WebView()
 
-- 
2.14.1

